### Method

# Camel MimeMessage foreach_part

since: 3.34

#### Declaration [src]

    void
    camel_mime_message_foreach_part (
      CamelMimeMessage* message,
      CamelForeachPartFunc callback,
      gpointer user_data
    )

#### Description [src]

Calls `callback` for each part of the `message`, including the message itself. The traverse of the `message` parts can be stopped when the `callback` returns `FALSE`.

Available since: 3.34

#### Parameters

`callback`

  Type: `CamelForeachPartFunc`

  A `CamelForeachPartFunc` callback to call for each part.

`user_data`

  Type: `gpointer`

  User data passed to the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.